Bug 571282 - Review Request: perl-CatalystX-LeakChecker - Debug memory leaks in Catalyst applications
Summary: Review Request: perl-CatalystX-LeakChecker - Debug memory leaks in Catalyst a...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/CatalystX...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-08 01:26 UTC by Chris Weyl
Modified: 2010-03-16 04:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-16 04:34:39 UTC
steve.traylen: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2010-03-08 01:26:58 UTC
Spec URL: http://fedorapeople.org/~cweyl/review/perl-CatalystX-LeakChecker.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-CatalystX-LeakChecker-0.05-1.fc12.src.rpm

Description:
It's easy to create memory leaks in Catalyst applications and often
they're hard to find. This module tries to help you finding them by
automatically checking for common causes of leaks.  This module is
intended for debugging only. I suggest to not enable it in a production
environment.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2037151

Additional Comment:

This is an additional optional testing dependency of Catalyst::Runtime.

*rt-0.10_01

Comment 1 Steve Traylen 2010-03-11 20:28:46 UTC
Review: perl-CatalystX-LeakChecker-0.05-1.fc12.src.rpm
Date: March 11th 2010
Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2047403

*  PASS: rpmlint output
  rpmlint SRPMS/perl-CatalystX-LeakChecker-0.05-1.fc14.src.rpm \
   SPECS/perl-CatalystX-LeakChecker.spec \
   RPMS/noarch/perl-CatalystX-LeakChecker-0.05-1.fc14.noarch.rpm \
   RPMS/noarch/perl-CatalystX-LeakChecker-tests-0.05-1.fc14.noarch.rpm 

perl-CatalystX-LeakChecker-tests.noarch: W: no-documentation
3 packages and 1 specfiles checked; 0 errors, 1 warnings.

*  PASS: Named according to the Package Naming Guidelines.
*  PASS: spec file name same as  base package %{name}.
*  PASS: Packaging Guidelines.
*  PASS: Approved license in .spec file.
 GPL & Artist.
*  PASS: License on Source code.
*  PASS: Include LICENSE file or similar if it exist.
LICENSE include.
*  PASS: Written in American English.
*  PASS: Spec file legible. 
*  PASS: Included source must match upstream source.
c6227507da51072f2ef34ea164346bf3  CatalystX-LeakChecker-0.05.tar.gz
c6227507da51072f2ef34ea164346bf3  ../SOURCES/CatalystX-LeakChecker-0.05.tar.gz
*  PASS: Build on one architecture.
*  PASS: Not building on an architecture must highlighted.
is no arch.
*  PASS: Build dependencies must be listed in BuildRequires.
*  PASS: Handle locales properly. 
No locales.
*  PASS: ldconfig must be called on shared libs.
No libs
*  PASS: No bundled copies of system libraries.
*  PASS: Package must state why relocatable if relocatable.
Not relocatable.
*  PASS: A package must own all directories that it creates
* PASS:  No duplicate files in %files listings. 
* PASS:  Permissions on files must be set properly. %defattr
* PASS:  %clean section contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
* PASS:  Each package must consistently use macros.
* PASS:  The package must contain code, or permissable content.
* PASS:  Large documentation files must go in a -doc subpackage.  
No large docs.
* PASS:  %doc  must not affect the runtime of the application. 
* PASS:  Header files must be in a -devel package.
No headers.
* PASS:  Static libraries must be in a -static package.
No statics.
* PASS:  Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
* PASS:  Then library files that end in .so 
         (without suffix) must go in a -devel package. 
* PASS:  devel packages must require the exact base package
* PASS:  No .la libtool archives
* PASS:  GUI apps should have %{name}.desktop file
* PASS:  No files or directories already owned by other packages. 
* PASS:  %install must run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
* PASS:  All filenames in rpm packages must be valid UTF-8.

Just one question What is 

'%{?perl_ext_env_unset}'

on my system it is unset.

Comment 2 Chris Weyl 2010-03-13 03:16:42 UTC
Whoops -- sorry about that, %perl_ext_env_unset is a macro I have defined on my system; I'm thinking about including it in the macros.perl file.  Basically, it unsets any "special" env vars that happen to be set, as well as sets some to get some of the more interactive Makefile.PL's to go with the defaults:

%perl_ext_env_unset %{expand:
unset PERL_MM_OPT MODULEBUILDRC PERL5INC
export PERL_AUTOINSTALL="--defaultdeps"
export PERL_MM_USE_DEFAULT=1
}

It's conditionalized in this package, so it does no harm, but I can remove it if you'd prefer.

Comment 3 Steve Traylen 2010-03-13 08:32:17 UTC
I guess it depends how likely it is perl_ext_env_unset is to become
standard. 

Anyway I'll approve and you decide. I'm thinking the perl guidelines
could do with an update of many of these new macros. Would be good to 
keep the old methods in there though as options for the benefit of EPEL.

Steve

Comment 4 Chris Weyl 2010-03-13 20:21:03 UTC
New Package CVS Request
=======================
Package Name: perl-CatalystX-LeakChecker
Short Description: Debug memory leaks in Catalyst applications
Owners: cweyl
Branches: F-11 F-12 F-13 devel
InitialCC: perl-sig

Comment 5 Tom "spot" Callaway 2010-03-15 21:45:04 UTC
CVS done (by process-cvs-requests.py).

Comment 6 Chris Weyl 2010-03-16 04:34:39 UTC
Thanks for the review! :-)


Note You need to log in before you can comment on or make changes to this bug.